SYSTYPE	Process
UNITS	Meters Seconds
SYSDEF	limit Infinite timeout 60 Seconds confname Config1
		report standard
FLAGS
  System  NoColor
  NoCode
  Text  Red
  Resources  NoColor
  ResourceNames  Red
  Queues  NoColor
  QueueNames  Red
  QueueAmounts  Red
  Blocks  NoColor
  BlockNames  Red
  Labels  Red
  Loads  NoColor
PROCDEF UserId 1
STARTDATE 01/01/2002 06:59:00 END_STARTDATE
PROC	name P_mesa 0 traf Infinite 
PROC	name P_carga 0 traf Infinite 
PROC	name P_silla 0 traf Infinite 
PROC	name P_estanteria 0 traf Infinite 
PROC	name P_recogida 0 traf Infinite 
PROC	name P_demanda 0 traf Infinite 
PROC	name P_Sinicial_menos_Sdisponible 0 traf Infinite 
PROC	name P_Stock_en_por 0 traf Infinite 
PROC	name P_urgente 0 traf Infinite 
LDTYPE	name L_carga 0
		template
700 5
1 1 0 1 1 none
8  6  0
0	0.00	0.00	0.00
0.18  0.5  0.18
1
310 0
1 1 1 1 1 0 0
end
LDTYPE	name L_mesa 0
		dis 
LDTYPE	name L_silla 0
		dis 
LDTYPE	name L_estanteria 0
		dis 
LDTYPE	name L_peticion 0
		dis 
		create con 1 Days stream stream0 
		       foa con 0 Seconds stream stream0 
		       First P_demanda 0 
		create con 20 Days stream stream0 
		       First P_Sinicial_menos_Sdisponible 0 
		create con 0 Seconds stream stream0 
		       First P_Stock_en_por 0 Limit 1 
RCYCLE name RC_turnos filename RC_turnos.cyc flags 0 index 0 w_resource 4 in_mod 0
START_RCYCLE
comment	RC_turnos Resource Cycle	
do infinite begin		
	at 7:00:00	bring resource up
	at 11:00:00	take resource down
	at 11:30:00	bring resource up
	at 19:30:00	take resource down
	at 20:00:00	bring resource up
	at 24:00:00	take resource down
end		
END_RCYCLE
RCYCLE name RC_lijadora filename RC_lijadora.cyc flags 0 index 1 w_resource 1 in_mod 0
START_RCYCLE
comment	RC_lijadora Resource Cycle	
do infinite begin		
	after exponential 40 hr	take resource down
		
	after exponential 2 hr	bring resource up
end		
END_RCYCLE
RCYCLE name RC_perforadora filename RC_perforadora.cyc flags 0 index 2 w_resource 1 in_mod 0
START_RCYCLE
comment	RC_perforadora Resource Cycle	
do infinite begin		
	after exponential 50 hr	take resource down
		
	after exponential 3 hr	bring resource up
end		
END_RCYCLE
RCYCLE name RC_cortadora filename RC_cortadora.cyc flags 0 index 3 w_resource 1 in_mod 0
START_RCYCLE
comment	RC_cortadora Resource Cycle	
do infinite begin		
	after exponential 80 hr	take resource down
		
	after exponential 2 hr	bring resource up
end		
END_RCYCLE
RCYCLE name RC_embaladora filename RC_embaladora.cyc flags 0 index 4 w_resource 1 in_mod 0
START_RCYCLE
comment	RC_embaladora Resource Cycle	
do infinite begin		
	after exponential 100 hr	take resource down
		
	after exponential 5 hr	bring resource up
end		
END_RCYCLE
RCYCLE name RC_demanda filename RC_demanda.cyc flags 0 index 5 w_resource 1 in_mod 0
START_RCYCLE
comment	RC_demanda Resource Cycle	
do infinite begin		
	at 7:00:00	bring resource up
	at 7:10:00	take resource down
end		
END_RCYCLE
RSRC	name R_lijadora 0 cap 1 
		prtime con 5 Seconds stream stream0 dis 0 UserDef picture
700 21
2 2 0 1 1 none
-18.5928  6.096  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 0
4 4 4 4 4 0 0
end

		RCYCLE RC_turnos
		RCYCLE RC_lijadora
RSRC	name R_cortadora 0 cap 1 
		prtime con 5 Seconds stream stream0 dis 0 UserDef picture
700 21
2 2 0 1 1 none
-8.5344  6.096  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 0
4 4 4 4 4 0 0
end

		RCYCLE RC_turnos
		RCYCLE RC_cortadora
RSRC	name R_embaladora 0 cap 1 
		prtime con 5 Seconds stream stream0 dis 0 UserDef picture
700 21
2 2 0 1 1 none
-4.2672  6.096  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 0
4 4 4 4 4 0 0
end

		RCYCLE RC_turnos
		RCYCLE RC_embaladora
RSRC	name R_demanda 0 cap 2 
		prtime con 5 Seconds stream stream0 dis 0 UserDef picture
700 21
2 2 0 1 1 none
-24.9936  7.0104  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 0
4 4 4 4 4 0 0
end

		RCYCLE RC_demanda
RSRC	name R_perforadora 0 cap 1 
		prtime con 5 Seconds stream stream0 dis 0 UserDef picture
700 21
2 2 0 1 1 none
-13.1064  6.4008  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 0
4 4 4 4 4 0 0
end

		RCYCLE RC_perforadora
		RCYCLE RC_turnos
QUEUE	name Q_lijadora 0 cap 2147483647
dis 0 Stacking OTT_LDDISP UserDef picture
700 21
2 2 0 1 1 none
-21.0312  7.9248  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 17
2 2 0 1 0 none
4 4 4 4 4 0 0
end
QUEUE	name Q_perforadora 0 cap 2147483647
dis 0 Stacking OTT_LDDISP UserDef picture
700 21
2 2 0 1 1 none
-15.8496  7.9248  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 17
2 2 0 1 0 none
4 4 4 4 4 0 0
end
QUEUE	name Q_cortadora 0 cap 2147483647
dis 0 Stacking OTT_LDDISP UserDef picture
700 21
2 2 0 1 1 none
-10.668  7.9248  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 17
2 2 0 1 0 none
4 4 4 4 4 0 0
end
QUEUE	name Q_embaladora 0 cap 2147483647
dis 0 Stacking OTT_LDDISP UserDef picture
700 21
2 2 0 1 1 none
-6.4008  7.9248  0
0	0.00	0.00	0.00
0.3048  0.3048  0.3048
1
310 17
2 2 0 1 0 none
4 4 4 4 4 0 0
end
QUEUE	name Q_urgente 0 cap 2147483647
dis 0 Stacking OTT_LDDISP UserDef picture
700 21
2 2 0 1 1 none
-15  1  0
0	0.00	0.00	0.00
	1.00	1.00	1.00
1
310 17
2 2 0 1 0 none
4 4 4 4 4 0 0
end
QUEUE	name Q_carga 0 cap 2147483647
LABEL	name LB_carga 0
dis 0 UserDef picture
700 53
1 1 0 1 1 none
2  6  0
0	0.00	0.00	0.00
	1.00	1.00	1.00
1
140 49
1 1 0 2 1 LB_carga
0
end
LABEL	name LB_camiones 0
dis 0 UserDef picture
700 21
1 1 0 1 1 none
2  3  0
0	0.00	0.00	0.00
	1.00	1.00	1.00
1
140 17
1 1 0 2 1 LB_camiones
0
end
LABEL	name LB_apunte 8
dis 1 UserDef picture
700 53
1 1 0 1 1 none
-2  8  0
0	0.00	0.00	0.00
0.75  0.75  0.75
1
140 49
1 1 0 1 1 LB_apunte
Volumen en carga
end
dis 2 UserDef picture
700 21
1 1 0 1 1 none
-39  37  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 LB_apunte(2)
La Coruna
end
dis 3 UserDef picture
700 21
1 1 0 1 1 none
30  10  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 LB_apunte(3)
Barcelona
end
dis 4 UserDef picture
700 21
1 1 0 1 1 none
24  -4  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 LB_apunte(4)
Valencia
end
dis 5 UserDef picture
700 21
1 1 0 1 1 none
3  -32  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 LB_apunte(5)
Sevilla
end
dis 6 UserDef picture
700 21
1 1 0 1 1 none
-9  -7  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 LB_apunte(6)
Madrid
end
dis 7 UserDef picture
700 21
1 1 0 1 1 none
9  9  0
0	0.00	0.00	0.00
2  2  2
1
140 17
1 1 0 1 1 Label
Teruel
end
dis 8 UserDef picture
700 21
1 1 0 1 1 none
-3  5  0
0	0.00	0.00	0.00
0.87  0.87  0.87
1
140 17
1 1 0 1 1 Label
Camiones pendientes
end
BLOCK	name BL_atasco 0 cap 1 
dis 0 UserDef picture
700 21
2 2 0 1 1 none
11  6.73000001907349  0
0	0.00	0.00	0.00
0.846799969673157  0.270000010728836  0.5
1
310 0
4 4 4 4 4 0 0
end
COUNT	name C_liston 0 cap Infinite 
COUNT	name C_tabla 0 cap Infinite 
COUNT	name C_cartonpiedra 0 cap Infinite 
COUNT	name C_T_roscachapa 0 cap Infinite 
COUNT	name C_pasador 0 cap Infinite 
COUNT	name C_cajacarton 0 cap Infinite 
ATT		name A_Volumen 0 type Real

ATT		name A_tipo 0 type Integer

VAR		name V_liston 0 type Real 9000

VAR		name V_tabla 0 type Real 6000

VAR		name V_T_roscachapa 0 type Real 58000

VAR		name V_cajacarton 0 type Real 10000

VAR		name V_operario 0 type Integer 0

VAR		name V_cartonpiedra 0 type Real 1000

VAR		name V_pasador 0 type Real 22000

VAR		name V_carga 0 type Integer 0

VAR		name V_numero 0 type Integer 0

VAR		name V_pedido_liston 0 type Real 0

VAR		name V_pedido_tabla 0 type Real 0

VAR		name V_pedido_cartonpiedra 0 type Real 0

VAR		name V_pedido_T_roscachapa 0 type Real 0

VAR		name V_pedido_pasador 0 type Real 0

VAR		name V_pedido_cajacarton 0 type Integer 0

VAR		name V_por_liston 0 type Real 0

VAR		name V_por_tabla 0 type Real 0

VAR		name V_por_cartonpiedra 0 type Real 0

VAR		name V_por_T_roscachapa 0 type Real 0

VAR		name V_por_pasador 0 type Real 0

VAR		name V_por_cajacarton 0 type Real 0

VAR		name V_camiones 0 type Integer 0

STREAM	stream0 type LCG skip first 0
GRAPH Stock_Cartonpiedr timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 1200 yinc 100
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_cartonpiedra 0 title "V_cartonpiedra "
GRAPH Stock_Liston timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 9200 yinc 1000
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_liston 0 title "V_liston "
GRAPH Stock_Tabla timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 6200 yinc 1000
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_tabla 0 title "V_tabla "
GRAPH Stock_Tornillos timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 60000 yinc 10000
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_T_roscachapa 0 title "V_T_roscachapa "
GRAPH Stock_Pasador timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 22200 yinc 5000
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_pasador 0 title "V_pasador "
GRAPH Stock_Cajacarton timeline every 0.5 Days
		x 195 y 570 width 600 height 350
		ymax 10100 yinc 1000
		xmin 0 xmax 100 xinc 10 xunits Days
		include Process Proceso V_cajacarton 0 title "V_cajacarton "
RPROCEDURE	name R_arreglo
SFileBegin
	name codigo.m

begin P_mesa arriving procedure
	
	dec V_liston by 2.5
	dec V_tabla by 2
	dec V_T_roscachapa by 12
	dec V_cajacarton by 3
	
	set A_Volumen to 5
	
	move into Q_lijadora
	wait until V_operario < 5 and R_lijadora current loads =0
	get 1 of R_lijadora 
	inc V_operario by 2  
	wait for 10 min
	dec V_operario by 2  
	free R_lijadora
	
	move into Q_perforadora
	wait until V_operario < 6 and R_perforadora current loads=0
	get 1 of R_perforadora
	inc V_operario by 1   
	wait for 3 min
	dec V_operario by 1	  
	free 1 of R_perforadora
	
	move into Q_cortadora
	wait until V_operario < 5 and R_cortadora current loads =0
	get 1 of R_cortadora
	inc V_operario by 2
	wait for 7 min
	dec V_operario by 2
	free 1 of R_cortadora
	
	move into Q_embaladora
	wait until V_operario < 6 and R_embaladora current loads =0
	get 1 of R_embaladora
	inc V_operario by 1
	wait for 3 min
	dec V_operario by 1
	free 1 of R_embaladora
	
send to P_carga
end
	
begin P_silla arriving procedure

	dec V_liston by 1.8
	dec V_tabla by 0.5
	dec V_cartonpiedra by 0.5
	dec V_T_roscachapa by 4
	dec V_pasador by 8
	dec V_cajacarton by 2
	
	set A_Volumen to 3
	
	move into Q_lijadora
	wait until V_operario < 6 and R_lijadora current loads =0
	get 1 of R_lijadora
	inc V_operario by 1
	wait  for 7 min
	dec V_operario by 1
	free 1 of R_lijadora
	
	move into Q_perforadora
	wait until V_operario < 6 and R_perforadora current loads =0
	get 1 of R_perforadora
	inc V_operario by 1
	wait for 5 min
	dec V_operario by 1
	free 1 of R_perforadora
	
	move into Q_cortadora
	wait until V_operario < 6 and R_cortadora current loads =0
	get 1 of R_cortadora 
	inc V_operario by 1
	wait for 10 min
	dec V_operario by 1
	free 1 of R_cortadora
	
	move into Q_embaladora
	wait until V_operario < 6 and R_embaladora current loads =0
	get 1 of R_embaladora
	inc V_operario by 1
	wait for 4 min
	dec V_operario by 1
	free 1 of R_embaladora
	
send to P_carga
end

begin P_estanteria arriving procedure


	dec V_tabla by 1.5
	dec V_cartonpiedra by 0.8
	dec V_T_roscachapa by 24
	dec V_pasador by 8
	dec V_cajacarton by 2

	set A_Volumen to 4
	
	move into Q_lijadora
	wait until V_operario < 6 and R_lijadora current loads=0
	get 1 of R_lijadora
	inc V_operario by 1
	wait for 6 min
	dec V_operario by 1
	free 1 of R_lijadora
	
	move into Q_perforadora
	wait until V_operario < 5 and R_perforadora current loads=0
	get 1 of R_perforadora
	inc V_operario by 2
	wait for 7 min
	dec V_operario by 2
	free 1 of R_perforadora
	
	move into Q_cortadora
	wait until V_operario < 6 and R_cortadora current loads=0
	get 1 of R_cortadora
	inc V_operario by 1
	wait for 5 min
	dec V_operario by 1
	free 1 of R_cortadora
	
	move into Q_embaladora
	wait until V_operario < 6 and R_embaladora current loads=0
	get 1 of R_embaladora
	inc V_operario by 1
	wait for 2 min
	dec V_operario by 1
	free 1 of R_embaladora
	
send to P_carga
end

begin P_carga arriving procedure

	
	if V_carga < 120 then
	begin
	increment V_carga by A_Volumen
	print V_carga to LB_carga
	end
	else
	begin
	set V_carga to 0
	print V_carga to LB_carga
	create 1 load of load type L_carga to P_recogida	
	send to die
	end
end

begin P_recogida arriving procedure

	increment V_camiones by 1
	print V_camiones to LB_camiones
	move into Q_carga	
	move into AGV:Carga
	decrement V_camiones by 1
	print V_camiones to LB_camiones
	travel to oneof(30:AGV:Madrid,25:AGV:Barcelona,20:AGV:Sevilla,20:AGV:Valencia,5:AGV:La_Coruna)	
	send to die
end

begin P_demanda arriving procedure


	use R_demanda for 30 sec
	set V_numero to normal 50, 5
	create V_numero loads of load type L_mesa to P_mesa
	set V_numero to triangular 20,40,50
	create V_numero loads of load type L_silla to P_silla
	set V_numero to exponential 20
	create V_numero loads of load type L_estanteria to P_estanteria

	send to die
end

begin P_Sinicial_menos_Sdisponible arriving procedure

	if V_por_liston <50  then
	set V_pedido_liston to 9000-V_liston
	if V_por_tabla< 50 then
	set V_pedido_tabla to 6000-V_tabla
	if V_por_cartonpiedra< 50 then
	set V_pedido_cartonpiedra to 1000-V_cartonpiedra
	if V_por_T_roscachapa< 50
	set V_pedido_T_roscachapa to 58000-V_T_roscachapa
	if V_por_pasador< 50 then
	set V_pedido_pasador to 22000-V_pasador	
	if V_por_cajacarton< 50 then
	set V_pedido_cajacarton to 10000-V_cajacarton


wait for 2 day

	inc V_liston by V_pedido_liston
	inc C_liston by V_pedido_liston
	set V_pedido_liston to 0
	inc V_tabla by V_pedido_tabla
	inc C_tabla by V_pedido_tabla
	set V_pedido_tabla to 0
	inc V_cartonpiedra by V_pedido_cartonpiedra
	inc C_cartonpiedra by V_pedido_cartonpiedra
	set V_pedido_cartonpiedra to 0
	inc V_T_roscachapa by V_pedido_T_roscachapa
	inc C_T_roscachapa by V_pedido_T_roscachapa
	set V_pedido_T_roscachapa to 0
	inc V_pasador by V_pedido_pasador
	inc C_pasador by V_pedido_pasador
	set V_pedido_pasador to 0
	inc V_cajacarton by V_pedido_cajacarton
	inc C_cajacarton by V_pedido_cajacarton
	set V_pedido_cajacarton to 0
send to die
end

begin P_Stock_en_por arriving procedure

	set V_por_liston to 100-((9000-V_liston-V_pedido_liston)/90)
	if V_por_liston <25 then 
		begin
		set A_tipo to 1
		clone 1 load to P_urgente
		set A_tipo to 0
		end
	set V_por_tabla to 100-((6000-V_tabla-V_pedido_tabla)/60)
	if V_por_tabla <25 then
		begin
		set A_tipo to 2
		clone 1 load to P_urgente
		set A_tipo to 0
		end
	set V_por_cartonpiedra to 100-((1000-V_cartonpiedra-V_pedido_cartonpiedra)/10)
	if V_por_cartonpiedra <25 then
		begin
		set A_tipo to 3
		clone 1 load to P_urgente
		set A_tipo to 0
		end
	set V_por_T_roscachapa to 100-((58000-V_T_roscachapa-V_pedido_T_roscachapa)/580)
	if V_por_T_roscachapa <25 then
		begin
		set A_tipo to 4
		clone 1 load to P_urgente
		set A_tipo to 0
		end
	set V_por_pasador to 100-((22000-V_pasador-V_pedido_pasador)/220)
	if V_por_pasador <25 then
		begin
		set A_tipo to 5
		clone 1 load to P_urgente
		set A_tipo to 0
		end
	set V_por_cajacarton to 100-((10000-V_cajacarton-V_pedido_cajacarton)/100)
	if V_por_cajacarton <25 then
		begin
		set A_tipo to 6
		clone 1 load to P_urgente
		set A_tipo to 0
		end

wait for .5 day
send to P_Stock_en_por
end 

begin P_urgente arriving procedure
move into Q_urgente

if A_tipo=1  and V_pedido_liston=0 then
begin
	set V_pedido_liston to 9000-V_liston
	increment V_liston by V_pedido_liston
	increment C_liston by V_pedido_liston
	set V_pedido_liston to 0
end

if A_tipo=2 and V_pedido_tabla=0 then
begin
	set V_pedido_tabla to 6000-V_tabla
	wait for 0.5 day
	increment V_tabla by V_pedido_tabla
	increment C_tabla by V_pedido_tabla
	set V_pedido_tabla to 0
end

if A_tipo=3 and V_pedido_cartonpiedra=0 then
begin
	set V_pedido_cartonpiedra to 1000-V_cartonpiedra
	wait for 0.5 day
	increment V_cartonpiedra by V_pedido_cartonpiedra
	increment C_cartonpiedra by V_pedido_cartonpiedra
	set V_pedido_cartonpiedra to 0
end

if A_tipo=4 and V_pedido_T_roscachapa=0 then
begin
	set V_pedido_T_roscachapa to 58000-V_T_roscachapa
	wait for 0.5 day
	increment V_T_roscachapa by V_pedido_T_roscachapa
	increment C_T_roscachapa by V_pedido_T_roscachapa
	set V_pedido_T_roscachapa to 0
end

if A_tipo=5 and V_pedido_pasador=0 then
begin
	set V_pedido_pasador to 22000-V_pasador
	wait for 0.5 day
	increment V_pasador by V_pedido_pasador
	increment C_pasador by V_pedido_pasador
	set V_pedido_pasador to 0
end

if A_tipo=6 and V_pedido_cajacarton=0 then
begin
	set V_pedido_cajacarton to 10000-V_cajacarton
	wait for 0.5 day
	increment V_cajacarton by V_pedido_cajacarton
	increment C_cajacarton by V_pedido_cajacarton
	set V_pedido_cajacarton to 0
end
send to die
end

#@!
